We support the following provided you have installed the latest updates

  • iPhones 4s and newer

  • iPad 2 and newer

  • macOS (OSX) 10.9 and higher using Safari

  • Android 4.1 and higher using Chrome.

  • Chrome, Firefox and Microsoft Edge.

We don't support Internet Explorer

Did this answer your question?